DVDInfo Introduction

What is DVDInfo Pro?

DVDInfO Pro fessional is a Windows MFC Application written in Visual C++. It provides information and useful tools for DVD media. Both DVD-R/RW and DVD+R/RW types are supported. It follows in the tradition of DVDInfo, my first dvd application that was very successful. This new version is a result of listening to users criticisms, requests and suggestions, and applying this to the new version.

I am a single programmer writing this application in my spare time after work and on weekends. If you find a bug or something that does not seem right, then please email me and I will do my best to fix it as soon as I can.

Requirements

The program is compatible with Windows 95, 98, ME, NT4, Windows 2000 and XP. Windows 95, 98 and ME require that Aspi drivers be already installed.

Aspi V4.60. (V4.71 is not supported).

Windows NT V4.0, Windows 2000 and Windows XP do not require Aspi but can use it.

DVDInfo Pro is freeware/Ad-ware software. Please refer to the copyright notice.

Why use DVDInfo Pro?

I first wrote DVDInfo as I wanted to research different media types and codes on blank dvd media. The only program I could find was a program called advdinfo, but sadly this program would not run on my computer.

I started writing my own version. The author of advdinfo provided me with encouragement, assistance and some source code to get me started. (Thanks >NIL):

The response to the program was fantastic and with user input and feedback the program is growing into a very useful DVD tool, and this led to me discontinuing DVDInfo V1.0x and starting development of DVDInfo Professional.

Since my early days programming for the Commodore Amiga I have been a supporter of shareware and freeware programs. This program continues in that tradition.

Contact me

I continue to obtain feedback on the program and I invite you to do the same. I would like to hear from you, your thoughts, your comments, bugs, and constructive criticism. Please refer to my web page or email me .

NOTE:

The installer for this product was created using Installer VISE from MindVision Software. For more information on Installer VISE, contact:

MindVision Software
5901 North 58th Street
Lincoln, NE 68507

Voice: (402) 323-6600
Fax: (402) 323-6611
E-mail: support@mindvision.com
http://www.mindvision.com


DVDInfoPro Copyright & Distribution

DVDInfo Professional Freeware with advert version, herein referred to as “the application” and “this software” may be freely distributed provided that the application and its accompanying documentation are distributed together in an unmodified form. The archive, application, advertising files, documentation, or any other files may not be modified, added to, subtracted from in any way whatsoever without written consent of the author.

DVDInfo Professional in its full advert free form may not be distributed or linked to in any way whatsoever. The full advert free versions of the application and accompanying files are for the sole use of the person who licenced the application.

Distribution of the application must be on a cost free basis, no direct or in-direct costs are permitted to be charged to anyone you distribute the application to. Normal internet connection fees which do not apply specifically to downloading this application are an exception.

You are permitted to mirror the download without consent of the author, regular updating is a requirement though.

CORPORATE USERS INCLUDING EDUCATIONAL INSTITUTIONS WHO USE THE APPLICATION ARE ENCOURAGED TO MAKE A DONATION OR SUPPLY HARDWARE/SOFTWARE WHICH ASSISTS ME IN THE APPLICATION’S DEVELOPMENT.

eMAIL nicw@bigpond.net.au FOR DETAILS.

THIS PROGRAM IS COPYRIGHT 2003 - 2004 NIC WILSON.

THIS PROGRAM IS PROTECTED BY COPYRIGHT LAWS AND INTERNATIONAL TREATIES. UNAUTHORISED USE WILL RESULT SEVERE CRIMINAL OR CIVIL PENALTIES AND WILL BE PROSECUTED TO THE FULL EXTENT OF THE LAW.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

IF ANY OF THE ABOVE CONTRAVEANES YOUR COUNTRY. LOCAL OR STATE LAWS THEN YOU ARE NOT PERMITTED TO USE THE APPLICATION AND ALL FREEWARE OR OTHER IMPLIED LICENCES OR RIGHTS TO USE THIS SOFTWARE ARE HEREBY REVOKED FOR YOUR LOCALITY AND OR STATE.

This program uses code from “The Independent JPEG Group's” to save jpg format screen captures. That code is Copyright © 1991-1998, Thomas G. Lane.


V3.07 - first public release.
V3.00 - V3.05 Test versions.
V2.xx - history deleted.


DVDInfo - The Main Window

The Main Window

The main window (similar to the above picture) has various output displays depending on the current mode.

The custom digital display and the HEX/ASCII displays can have the colours they use customized individually.

There are various buttons and choices, each one described below.

Each button has a “tooltip” that pops up when the mouse hovers over a button. The tooltip briefly explains the functionality of the button.

The Dialog has standard Windows Close and minimize buttons. These work as you would expect them to work.

This button brings up this help file.

This button opens an ‘About’ dialog displaying user info, program & version information. The about dialog also contains a button that enables you to see if there is an update of DVDINFO available.

This button will open your default browser to a secure web site to a company that provides a simple, secure and fast way to purchase the advert free version of DVDInfo Professional. This purchase provides you with free updates throughout the entire life span of DVDInfo Professional V3.xx. It also entitles you to substancial discounts on other software and future releases. Purchasing the program assists me to continue creating fully functional freeware versions of DVDInfo. Hardware and Software donations are also gratefully accepted and are also suitable payment for advertising in the program and or on the web site.

DROP DOWN LIST OF DEVICES.

Depending on the settings, this will show all CD/DVD devices or only DVD drives. The drive you choose will be the drive all commands are performed on. This will usually be a DVD-Burner or a DVD-ROM.

Scroll Bar. (Vertical control on the right hand side of the display when in MEDIA INFO mode)

The scrollbar remains proportional to the amount of data in the display. It is a visual indication of how much more data is available by scrolling it down.

Settings

This button opens the settings dialog so program choices can be made and saved.

Media info

This button will display information on the currently loaded media, in the currently chosen device, and some hardware information about that device. It may also display status, sense and error messages. A large custom digital display will be shown when this mode is selected.

There are some ‘speed’ lines of data displayed by this button. Three for minus media and two for plus media that require further explanation.

1. “Media Code Speed”. This media speed rating is determined by comparing the loaded media id code against an internal database of known codes and speeds.

2. “Write Strategy Speed”. This media speed rating is determined by examining the data on the media looking for write strategies specific to certain media speeds.

3. “Current Drive Speed”.

a. If a media is currently loaded, and it is a media the drive can write to, then the speed rating is that returned by the drive for maximum speed.

b. If no media is loaded, then the speed rating is that returned by the drive for its current speed setting.

The above three speed ratings allow you to determine the true media speed and the speed seen by the drive. This is especially useful for those drives with hacked firmware to increase the speed of some media. It allows you to easily see the true speed for the media should you wish to write at its true speed.

There is a BG Format Status line of data displayed by this button that requires explanation. There are four possibilities.

1. “Not Formatted” - The media is not formatted and a background format process has not been started.

2. “Suspended” - The format is not complete, the background format process was suspended and is currently not running.

3. “In Progress” - The background format process is currently running and not yet complete.

4. “Completed” - The format is complete. A fully formatted DVD+RW was found mounted.

Drive info

This button will display information on the currently selected device, and some hardware information about that device. The drive does not require any media in the drive for this button to work. This information is provided in a graphics “see all” window in the main display. See Drive Info for more details.

ISO/Files Compare

This button will open an ISO/Files compare dialog windows. See the ISO/Files Compare page for more information

DVD Speed test

This button will open the dvd speed testing information page. See the DVD Speed Test page for more information.

DVD Error test

This button will open the dvd error testing page. See the DVD Error Test page for more information.

DVD PI / PIF / Jitter test

If you have a drive that supports this function, this button will open the dvd pi/pif/jitter testing page.
For supported drives Click Here
See the DVD PI/PIF Test page for more information.

Change Book Type

This button is for DVD+RW drives manufactured by Ricoh. It will flip a DVD+RW discs book type between DVD-ROM and DVD+RW.

Eject or close drive tray

This button will either EJECT the current drive, or CLOSE its door depending on the current state of the unit.

Format or erase DVD±RW

This button ERASES or FORMATS DVD-RW, DVD+RW or CD-RW in a DVD or CD Burner. See the separate help page for formatting.

Play / Pause

This button opens a file requester and prompts for suitable video file type, it then opens the file, a video window will slide out from the right hand side and it will play, This button also doubles as a pause button. Compatible file types are: UNENCRYPTED VOBS, MPG, MPG2, MPEG, MP3, DAT etc.

If you try to load an encrypted vob the player will most likely lock up.

Stop

This button stops a playing video file, and closes the video window.

ADVANCED COMMANDS

See the ‘advanced commands topic.

Copy to clipboard

This button will copy to entire contents of the digital display (not only what you can see) to the clipboard, so you can paste it into your favourite editor for saving. Some modes such as the MEDIA INFO mode are graphical and so a bitmap of the data area will be placed into the clipboard for you.

This button allows you to save a snapshot of the information area of the dialog to a jpg file. A dialog will open an request a filename and path.

This button allows you to save the hexadecimal displayed as a binary file. If there is no hexadecimal showing then an error will result. It will prompt you for a filename and then a size. Valid sizes are 1 to 2048.

The status area display, shows various information from time to time as required. It will also show the last error that occurred. The colour of this display follows the Digital display colour choices in the Settings option.


DVDInfo Media Info

Media Info

When the media info button is selected the display will change to a display similar to the one pictured below.

This display gives various information about the media loaded in the currently selected drive.

There are some speed lines of data displayed by this button. Three for minus media and two for plus media that require further explanation.

1. Media Code Speed. This media speed rating is determined by comparing the loaded media id code against an internal database of known codes and speeds.

2. Write Strategy Speed. This media speed rating is determined by examining the data on the media looking for write strategies specific to certain media speeds.

3. Current Drive Speed.

a. If a media is currently loaded, and it is a media the drive can write to, the speed rating is that returned by the drive for maximum speed.

b. If no media is loaded, then the speed rating is that returned by the drive for its current speed setting.

The above three speed ratings allow you to determine the true media speed and the speed seen by the drive. This is especially useful for those drives with hacked firmware to increase the speed of some media. It allows you to easily see the true speed for the media should you wish to write at its true speed.

There is a BG Format Status line of data displayed by this button that requires explanation. There are four possibilities.

1. Not Formatted - The media is not formatted and a background format process has not been started.

2. Suspended - The format is not complete, the background format process was suspended and is currently not running.

3. In Progress - The background format process is currently running and not yet complete.

4. Completed - The format is complete. A fully formatted DVD+RW was found mounted.

Write Strategy and OPC data.

Newer DVD-R/RW have write speed data contained on them that inform the drive the laser power and other settings to burn this particular media at a particular speed. Older media required the drive to 'know' the media which of course required users to constantly update firmware. This new approach allows the media itself to inform the drive how to burn it at particular speeds without the firmware needed to know the media. The 'Write Strategy" and "OPC" settings are lines of data showing these various settings. The meaning of them is beyond the scope of this article. They are provided because I can, and to allow comparison.

CD-R/RW Media

Media info can give limited information on CD-R/RW media. There are over 100 manufacturers of CD media known by the program and this is displayed if a match is found. The available write descriptors are also shown.


DVDInfo Drive Info

Drive Info

When the media info button is selected the display will change to a display similar to the one pictured below.

This display gives various information about the currently selected drive

Drive Supported Read Features

CDR = Read CD-R Media DVD-R = Read DVD-R Media Mt Rainier +RW = Read a Mt Rainier formatted DVD+RW

CD-RW = Read CD-RW Media DVD-RW = Read DVD-RW Media Mt Rainier CD = Read a Mt Rainier formatted CD

DVD-RAM = Read DVD-RAM Media DVD+R = Read DVD+R Media CD Method 2 = Read a CD with Mode-2 sectors

DVD-ROM = Read DVD-ROM Media DVD+R = Read DVD+RW Media DDCD = Read a Double Density CD format

CD-Multi Read = Read all CD Formats. HD-BURN = Read a CD in HD-BURN format.

Drive Supported Write Features

CDR = Write CD-R Media DVD-R = Write DVD-R Media Bar Code Read = Can read CD/DVD Barcodes

CD-RW = Write CD-RW Media DVD-RW Seq = Write DVD-RW sequential Media CD Changer = Unit has a CD changer

DVD-RAM = Write DVD-RAM Media DVD-RW Res.= Write DVD-RW restricted overwrite Media Microcode = Internal Microcode can be upgraded

CD-RW CAV = Write High Speed CDRW DVD+R = Write DVD+R Media Power Manag. = Supports Power Management

CD SAO/RAW = Write CD Session at once DVD+RW = Write DVD+RW Media Multisession = Unit is multisession compatible

CD TAO = Write CD Track at once
  HD-BURN = Write CDR HD-BURN 1.4GB format

  Control Blocks = Unit Supports Control Blocks

Drive General Features

Audio Play = Supports Playing Audio CD Mode 1 form = Supports Mode 1 sectors Mt Rainier +RW = Write Mt Rainier format DVD+RW

Composite out = Supports Analogue out Mode 2 form = Supports Mode 2 sectors Mt Rainier CD = Write a Mt Rainier format CD

Digital port 1 = Unit has a Digital Port 1 ISRC Read.= Supports ISRC Test Write = Write in simulation mode

Digital port 2 = Unit has a Digital Port 2 UPC read = Supports UPC Reading DDCD-R = Write Double Density CD-R format

CPRM Auth. = Supports CPRM authentication CSS/CPPM = Support CSS/CPPM Authentication DDCD-RW = Write Double Density CD-RW format

SMART = Support SMART technology Streaming = Supports streaming media Buffer Underrun = Supports Buffer underrun technology


DVDInfo - The Book-Type Bitsetting Dialog

The DVD+RW Book Type BitSetting Dialog

This dialog in DVDInfo Professional is only for those DVD burners based on the Ricoh DVD drives, for QSI / NuTek manufactured drives see the Book Type Bitsetting NuTek.htm file. This function will not operate on other drives or combo drives that I am aware of. Apply pressure your dvd manufacturer to add this capability into your firmware if you want this function, and or get them to contact me about how to do it. I get many requests to add this into other burners and it seems to be not possible without the assistance of the manufacturer.

There are two main command types. Given that DVD+RW is re-writable its book-type can be manipulated immediately on the media in the drive or, in future writes to this type of media by setting the ‘default’ mode for that media type. DVD+R on the other hand is a write-once media, and so cannot be manipulated immediately. The only option for DVD+R is to set its default mode for future writes.

Setting either of the default modes for +R or +RW on some drives may not survive a power down or a drive reset.

NOTE: We have discovered that the “Set Drive Default” settings are overridden by both Nero 5.5 and Nero 6.0 even if the book type settings are disabled, it still sends commands that overwrite and changes them. Stomp Record Now Max does not have this problem and writes the discs with whatever settings are default. We recommend you use Record Now instead of Nero.

If anyone finds other burning apps that work correctly with the default book settings please email me.

Choose a book type:

DVD+RW, DVD+R, DVD-RW, DVD-ROM, DVD-R

These radio buttons are mutually-exclusive so choosing one, will un-select all others. This choice will be used as the book type setting for the corresponding drive or media you choose.

Set Current Media (DVD+RW only)

This button will write the book value chosen in the group of radio buttons above to the currently loaded DVD+RW in the current drive. The change is immediate and will be verified by re-reading the book type of the media and displaying it in the Current view area.

Set Drive Default (DVD+RW Media)

This button will set default mode for book-type when the drive writes to DVD+RW media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Set Drive Default (DVD+R Media)

This button will set the default mode for book-type when the drive writes to DVD+R media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Close:

This button will close the dialog and no changes will be made.

Help

This button opens a help page for the program at this section.

Current Settings:

This section shows the current book-type settings for both the current media that is loaded in the current drive and the default settings for +R and +RW.


DVDInfo - The QSI / Nutek Book-Type Bitsetting Dialog

The Nu BitSetting Utility by Nic Wilson

This Program will only work on DVD burners based on the Nu DVD drives.

If Windows NT4.0, Windows 2000, or Windows XP is detected then the SPTI interface will be used to communicate with the drive. Administrator privileges are mandatory for this program to operate. In this mode the program supports drives connected to the standard IDE bus, add on PCI IDE bus, USB or 1394 (Firewire) interfaces.

If Windows 95, 98 or ME is detected then the program will use the ASPI interface. It is assumed that ASPI V4.60 is installed else an error will occur. If Adaptec ASPI V4.60 is installed then the program will support drives connected to the USB and 1394 (Firewire) interfaces as well as all drives connected to an IDE bus.

Choose a DVD Drive

This drop down selected box allows you to choose the drive to use. If a non Nu drive is chosen an error will occur.

DVDR Book Settings:

DVD+R or DVD-ROM, DVD-R or DVD-ROM

These sets of radio buttons are individually mutually-exclusive so choosing one, will un-select the other. Each pair corresponds to the book type setting for the DVD+R or DVD-R media. By default this value is only written to DRAM and will not survive a power down. Enabling Flash Ram can make this permanent, however the flash ram only has a limited life cycle of 100 writes, so make sure you rarely alter the flash ram settings.

Choose a +RW book type:

DVD+RW or DVD-ROM

These sets of radio buttons are individually mutually-exclusive so choosing one, will un-select the other. Each pair corresponds to the book type setting for the DVD+R or DVD-R media. By default this value is only written to DRAM and will not survive a power down. Enabling Flash Ram can make this permanent, however the flash ram only has a limited life cycle of 100 writes, so make sure you rarely alter the flash ram settings.

Enable Flash Ram Save

If this is selected the new book values will be written to flash ram, making them able to survive a power reset.

NOTE: If this option is selected, the set buttons will prompt you for confirmation before continuing. The bitsetting information is stored in flash memory inside the burner. Writes to the internal flash memory should be kept at a minimum as the number of write cycles to these memory chips is extremely limited.

Set +R Book Type

This button will set the default mode for book-type when the drive writes to DVD+R media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Set -R Book Type

This button will set the default mode for book-type when the drive writes to DVD-R media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Set +RW Book Type

This button will set default mode for book-type when the drive writes to DVD+RW media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Set -RW Book Type

This button will set default mode for book-type when the drive writes to DVD-RW media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Close:

This button will close the program.

Help

This button opens a help page for the program.

Current Settings:

This section shows the current book-type settings for the current drives default settings and directly from loaded media for each media type.

DVD+R Flash Ram - This is the value currently stored in flash ram for +R media, and will be used as default.

DVD+R DRAM - This is the value currently stored in memory for +R media, At next power reset flash value will be loaded.

DVD-R Flash Ram - This is the value currently stored in flash ram for -R media, and will be used as default.

DVD-R DRAM - This is the value currently stored in memory for -R media, At next power reset flash value will be loaded.

DVD+RW Flash Ram - This is the value currently stored in flash ram for +RW media, and will be used as default.

DVD+RW DRAM - This is the value currently stored in memory for +RW media, At next power reset flash value will be loaded.

+RW Current Media - This is the value currently written to the loaded +RW media.

DVD-RW Flash Ram - This is the value currently stored in flash ram for -RW media, and will be used as default.

DVD-RW DRAM - This is the value currently stored in memory for -RW media, At next power reset flash value will be loaded.

-RW Current Media - is the value currently written to the loaded –RW media.


DVDInfo DVD Speed Test

CD / DVD Speed Test

When the dvd speed test button is selected the display will change to a display similar to the one pictured below. The plotted green line on the picture below is an example of a dual layer disc. The two red lines mark the layer change point and the end of the disc. The data rate from the drive became faster as it approached the outer edge of the disc in a linear fashion across the disc surface. At the layer change it then became progressively slower as it reached the inner part of the disc again. The right hand boxes give various instantaneous and averaged readings.

This function will allow you to test the speed of your DVD / CD drive on various DVD or CD media types.

Start

This button will start the speed test with the media in the currently selected drive.

Stop

This button allows you to abort the test.

Progress

The associated progress bar for this text below it is a visual progress of the speed test. It is shown as a progressive solid bar and percentage text. Color for these are taken from Windows color settings.

Displays

Graph

The graph displays coloured lines giving the following information.

The Left Vertical graph gives the speed of the drive at a particular point on the disc. The Color of this graph can be set with the Speed Colordrop down list in the Settings dialog..

Depending on the media the scale will change from DVD speed to CD speed. In DVD mode each bright bar represents 2.0x DVD speed (approx 16x CD speed). Each darker bar in between naturally represents 1.0x DVD speed. In CD mode each bright bar represents 10x CD speed and each darker bar naturally represent 5x CD speed.

The Horizontal graph has four scales depending on the media. In DVD mode depending on if the media has 2 layers or 1, and in CD mode depending on if the CD is a 800MB or 1.4GB CD. The scale will automatically change depending on the media.

For single layer DVD’s each bright bar represents 0.5GB of data, In between each bar is divided into five sections with darker bars, each section representing 100MB.

On a dual layer disc the scale is double so each bright bar represents 1.0GB and each smaller section representing 200MB.

On a standard CD the bright bar represents 100MB increments and each smaller section representing 20MB.

On a 1.4GB CD the bright bar represents 200MB increments and each smaller section representing 40MB.

Media Type

The media type field represents the type of media found. It can be, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, CD-ROM, CD-R, CD-RW, DDCD, DDCD-R, DDCD-RW, HD-BURN, Unknown, or a blank box meaning an error occurred.

Length

The length field is the size of the formatted media in GB or MB depending on the current media.

Read

The Read field is the amount of data read so far in GB or MB depending on the current media.

Remaining

The remaining field is the amount of data still to be read in GB or MB depending on the current media.

Read Errors

The number of read errors encountered on this media.

Current Speed

This represents the current real time speed of the drive. It is shown in either DVD speed or CD speed depending on the current media. (1x DVD = approx 8x CD)

Average Speed

This represents the average speed since the start of the test. It is shown in either DVD speed or CD speed depending on the current media. (1x DVD = approx 8x CD)

Average Data rate

This represents the average read data rate since the start of the test. It is shown in KBps

Layer Track Path

Each layer of a DVD disc contains lead-in, data area and lead-out like a CD. For dual layer (DVD-9) discs the two layers comprise a single volume, but can be organised in two different ways depending on the application:

Parallel Track Path PTP), where the two layers both start at the inside diameter (ID) and end at the OD with the lead-out. This is suitable for DVD-ROM.

Opposite Track Path (OTP), where layer 0 starts at the ID and layer 1 starts where layer 0 ends. For such discs there is one lead-in (on layer 0), one lead-out (on layer 1) and two middle areas. This is suitable for DVD-Video where a single movie can occupy both layers with a layer break in the middle. Using OTP allows a near seamless jump from layer 0 to layer 1.


DVDInfo - The Book-Type Bitsetting Dialog BTC

The DVD+RW Book Type BitSetting Dialog BTC & Micro Advantage Drives

This dialog in DVDInfo Professional is only for those DVD burners based on the BTC drives. This function may not operate on all BTC drives, if you have such a drive contact me to add its id into the program.

There are two main command types. Given that DVDRW is re-writable its book-type can be manipulated immediately on the media in the drive or, in future writes to this type of media by setting the ‘default’ mode for that media type. DVDR on the other hand is a write-once media, and so cannot be manipulated immediately. The only option for DVDR is to set its default mode for future writes.

NOTE: We have discovered that the “Set Drive Default” settings are overridden by both Nero 5.5 and Nero 6.0 even if the book type settings are disabled, it still sends commands that overwrite and changes them. Stomp Record Now Max does not have this problem and writes the discs with whatever settings are default. We recommend you use Record Now instead of Nero.

If anyone finds other burning apps that work correctly with the default book settings please email me.

Note: At this time, reading the current setting of the drive is not possible. At my request BTC should change this is a new firmware soon.

book types:

Normal, DVD-ROM

These radio buttons are mutually-exclusive so choosing one, will un-select all others. This choice will be used as the book type setting for the corresponding drive or media you choose.

Change Physical DVDRW Media (DVD+RW & DVD-RW only)

This button will write the book value chosen in the group of radio buttons above to the currently loaded DVDRW in the current drive. The change is immediate and will be verified by re-reading the book type of the media and displaying it in the Current view area.

Set Drive Default (DVDRW / R Media)

This button will set default mode for book-type when the drive writes to DVDR/RW media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Close:

This button will close the dialog and no changes will be made.

Help

This button opens a help page for the program at this section.

Current Settings:

This section shows the current book-type settings for both the current media that is loaded in the current drive and the default settings for R and RW.


DVDInfo - The Liteon Book-Type Bitsetting Dialog

The DVD+RW Book Type BitSetting Dialog BTC & Micro Advantage Drives

This dialog in DVDInfo Professional is only for those Liteon DVD burners/Firmware combinations that support bitsetting. This function may not operate on all Liteon drives.

NOTE: We have discovered that the “Set Drive Default” settings are overridden by both Nero 5.5 and Nero 6.0 even if the book type settings are disabled, it still sends commands that overwrite and changes them. Stomp Record Now Max does not have this problem and writes the discs with whatever settings are default. We recommend you use Record Now instead of Nero.

If anyone finds other burning apps that work correctly with the default book settings please email me.

book types:

Normal, DVD-ROM, DVD+RW

These radio buttons are mutually-exclusive so choosing one, will un-select all others. This choice will be used as the book type setting for the corresponding drive or media you choose.

Change

This button will set default mode for book-type when the drive writes to DVD+R/RW media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the “Change book type to” area.

Change

This button will force a re-read of the default mode for book-type writing from the drive and display it in the “Change book type to” area. Of course if the value is the same as currently displayed then no change will be seen.

Close:

This button will close the dialog and no changes will be made.

Help

This button opens a help page for the program at this section.


DVDInfo - The NEC Book-Type Bitsetting Dialog

The DVD+RW Book Type BitSetting Dialog

This dialog in DVDInfo Professional is only for the NEC 1300A DVD burners with a specially modified firmware. This firmware can be obtained from www.herrie.org

This function will not operate on other NEC drives or original 1300a drives that I am aware of.

Choose a book type:

DVD+RW, DVD+R, DVD-RW, DVD-ROM, DVD-R

These radio buttons are mutually-exclusive so choosing one, will un-select all others. This choice will be used as the book type setting for the corresponding drive or media you choose.

Set Current Media (DVD+RW only)

This option is unavailable and not implemented in firmware at this time.

Set Drive Default (DVD+RW Media)

This button will set default mode for book-type when the drive writes to DVD+RW media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Set Drive Default (DVD+R Media)

This button will set the default mode for book-type when the drive writes to DVD+R media. The change is sent to the drive immediately and verified by re-reading the settings from the drive and displaying it in the Current view area.

Close:

This button will close the dialog and no changes will be made.

Help

This button opens a help page for the program at this section.

Current Settings:

This section shows the current book-type default settings for +R and +RW.


DVDInfo CD/DVD Error Test

CD / DVD Error Test

When the cd/dvd error test button is selected the display will change to a display similar to the one pictured below. The right hand boxes give various readouts.

Start

This function will allow you to start the error test your DVD / CD media..

Stop

This button allows you to abort the test.

Save Errors

This button will become available when any errors occur. It will prompt you for a path and filename. drive, media code ID, and media information will be saved to a text file along with the error list.

Progress Bar

The progress bar for this text below it is a visual progress of the speed test. It is shown as a progressive solid bar and percentage complete text. Color for these are taken from Windows color settings.

Displays

Graph

The graph displays coloured blocks giving the following information.

Each colored block represents a number of 2048 byte sectors depending on the media and are as follows:

DVD-5 Single Layer = 400 x 2048 byte blocks

DVD-9 Dual Layer = 800 x 2048 bytes blocks

CD = 80 x 2048 byte blocks

DDCD & HD-BURN CD = 160 x 2048 byte blocks

Block Colors

GREEN - The green blocks represent groups of blocks with no error.

WHITE - The white blocks represent a block that gave an error but a retry read was successful.

RED - The red blocks represent errors that failed even on a retry.

ERRORS

Reads are done in multiple blocks at a time as shown above. When an error occurs the blocks are retried, if successful a white block is drawn and testing continues. If the retries also fail, the program enters a mode where each individual block in the group are tested. Each individual block that fails will be listed in the list box to the right along with its hexadecimal LBA (Logical Block Address). For convenience the list is numerically numbered on the extreme left, this number if for your convenience and has no meaning to the error, other than the sequential order that it occurred.

Dual Layer

On a dual layer disc a red line will be drawn horizontally representing the layer change point.

Media ID

If the drive supports it, and the media has a media code id, it will be displayed here.

Media Type

The media type field represents the type of media found. It can be, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, CD-ROM, CD-R, CD-RW, DDCD, DDCD-R, DDCD-RW, HD-BURN, Unknown, or a blank box meaning an error occurred.

Length

The length field is the size of the formatted media in GB or MB depending on the current media.

Read

The Read field is the amount of data read so far in GB or MB depending on the current media.

Remaining

The remaining field is the amount of data still to be read in GB or MB depending on the current media.

Sector

This represent the current sector (block) of the group of sectors (blocks) that is being read..


DVDInfo ISO Compare

CD / DVD ISO COMPARE

This function is currently a beta function and requires testing.

When the “ISO Compare” button is selected the display will change to a display similar to the one pictured below. The right hand boxes give various readouts.

Start

This function will allow you to start the ISO or File Mode Comparison.

Stop

This button allows you to abort the compare.

Create ISO / Save Errors

This button has two functions. When the compare feature is first entered it will be labelled "Create ISO". If any type of compare function is started, its label will be changed to "Save Errors" and it will immediately become unavailable (see below). When the compare functions are either completed or aborted the button will revert to "Create ISO" and become available again.

Create ISO

This button will prompt for a filename for a binary ISO save file. If the filename you provide already exists it will be overwritten and no further warning will be generated. An ISO image of the media in the currently selected drive will be created. The graph and progress bar give a visual indication of completion. Accurate byte progress is displayed above the errors window.

Save Errors

This button is unavailabe at first, it will become available when any differences occur. It will prompt you for a path and filename. drive, media code ID, and media information will be saved to a text file along with the list of differences which will contain the sector (LBA), the byte offset into the sector and the two bytes that were different.

Progress Bar

The progress bar is shown as a progressive solid bar and percentage complete text. Color for these are taken from Windows colour settings.

ISO Mode / File Mode Radio Buttons

These buttons are mutually exclusive. They allow you to choose between ISO and FILE mode which are explained below.

ISO Mode

In ISO mode an “ISO” file or Disc Image is compared to the written Media. When “Start” is selected you will be prompted for an ISO file. It will be compared to the disc in the current drive.

File Mode

This mode allows you to compare a directory of files, usually a VIDEO_TS folder with the same files that have been written to the media. Only DVD-VIDEO is supported as the program will assume the directory structure on the media in the current drive.

Displays

Graph (ISO MODE ONLY)

The graph displays coloured blocks giving the following information.

Each colored block represents a number of 2048 byte sectors depending on the media and are as follows:

DVD-5 Single Layer = 400 x 2048 byte blocks

DVD-9 Dual Layer = 800 x 2048 bytes blocks

CD = 80 x 2048 byte blocks

DDCD & HD-BURN CD = 160 x 2048 byte blocks

Block Colors (ISO MODE ONLY)

GREEN - The green blocks represent groups of blocks that compared identically.

RED - The red blocks represent groups of blocks that had differences.

Differences (ISO MODE ONLY)

Reads are done in multiple blocks at a time for speed purposed (as shown above), the same amount is read from the ISO file and they are compared. Any differences will be listed in the list box.

FileNames (FILE MODE ONLY)

This shows the files as they are read and compared.

Media ID

If the drive supports it, and the media has a media code id, it will be displayed here.

Media Type

The media type field represents the type of media found. It can be, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, CD-ROM, CD-R, CD-RW, DDCD, DDCD-R, DDCD-RW, HD-BURN, Unknown, or a blank box meaning an error occurred.

Length

The length field is the size of the formatted media in GB or MB depending on the current media.

Read

The Read field is the amount of data read so far in GB or MB depending on the current media.

Remaining

The remaining field is the amount of data still to be read in GB or MB depending on the current media.

Sector (ISO MODE ONLY)

This represent the current sector (block) of the group of sectors (blocks) that is being read..

Files Left (FILE MODE ONLY)

This shows the number of files left to compare.


DVDInfo - The Main Window

Formatting and Erasing
Format or erase DVD±RW,  DVD-RAM or CD-RW Media

GO
               Starts the format/erase process.
Close
               Closes the format/erase dialog.
HELP
               This opens this help page directly.
STATUS
        Shows the current status of formatting or erasing.
AUTOMATICALLY SHUTDOWN PC WHEN DONE
        This option if ticked will perform a forced shutdown and power off of windows
        after a successful format or erase operation has completed.  If any error occurs,
       the shutdown is not performed.
EJECT DISC
        This option is ticked (default) will eject the disc when the operation
        is complete.
PROGRESS BAR
        This shows the percentage of completion of the current function. Not
        necessarily the overall progress as formatting can be in several parts.
MAIN & SUB OPTIONS

FAST FORMAT
This will quick format a correctly mounted valid media.  This option is compatible
with DVD-RW or DVD+RW only.  Any attempt to use CD-RW will result in an error.
For DVD+RW it works in conjunction with the ‘compatible close’ option discussed later.
               DVD+RW
            For this type of media a format type 26h (DVD+RW Basic format) is performed.
            It works in conjunction with ‘Compatible Close’.  When the foreground part of this
            background format is completed, the program suspends the background format by
            issuing a ‘close session’ command.  The length of time this close takes depends on the
            setting of the ‘Compatible Close’ setting.
                               COMPATIBLE    CLOSE (Sub Option)

                This option is for DVD+RW only.  When the foreground portion of the format is
                        completed it is suspended by issuing a ‘close session’ command.  This command
                        usually takes thirty seconds or so to complete but ensures a compatible disc is
                        seen.  To speed up the fast format the program defaults to doing a very fast
                        less compatible close session, this option forces the slower more compatible close
                        session to be performed.
               DVD-RW
            For this type of media a format type 15h (DVD-RW Quick) is performed.
            It creates an Intermediate State session on the DVD-RW media. The created session
            will become the only session on the medium.

ERASE
This option is for DVD-RW, DVD-RAM or CD-RW only.  It will not be available if a DVD+RW is found.
For DVD-RW or CD-RW it works in conjunction with the sub option ‘Quick’.  It performs a specific ‘blank’ MMC
command different from the format command.
               QUICK:    (Sub Option)
            If ‘Quick’ is specified it blanks the PMA, disc lead-in and the pre-gap.  After completion the
            disc will be treated as a blank disc.  Any data on the disc will be lost.
             If ‘Quick’ is not specified then the entire disc is blanked.

For DVD-RAM, the disc is blanked quickly and any format on the disc is lost.   Aftter the completion of this command
which will only take a couple of seconds the disc will be seen and treated as a blank disc.
FULL FORMAT
This option provides a full format.   This option is for DVD-RW, DVD+RW.
It operates technically different for each media type.  Full format can be a lengthy process
that can take up to an hour on a 1x DVD-RW or around 25 mins on a 2.4x DVD+RW
               DVD+RW
            For this type of media a format type 26h (DVD+RW Basic format) is performed.
            A full format is started, instead of suspending it as the fast format does the format
            is allowed to continue until completed.
                               RESTART(Sub    Option)
                        This option is for DVD+RW only.  The full format will resume a previously
                        suspended format usually.  This option forces the format to be restarted instead.
               DVD-RW
            For this type of media a format type 00h (Full Format) command is issued. The area from
            the beginning of the RMA to the end of the Lead-out shall be recorded. There is only one
            session on the medium and one track after this operation.


DVDInfo Introduction

Advanced Commands Drop down list

A complete description of the all the advanced commands is beyond the scope of this documentation. Suffice to say, with exception of the ones listed below, if you do not know what the each advanced command does then you do not need it. More information can be found in the current MMC or Mt Fuji specification.

When any advanced command is used the display will change to a hexadecimal/ascii view similar to the one below.

The display is in two columns. The left colomn shows the buffer in hexadecimal, 16 bytes at per row. The right hand column is an ASCII representation of the hexadecimal. Any byte that is beyond the ASCII range of characters is displayed as a decimal point.

ADVANCED COMMANDS

Show Complete Media Code

This command shows the media code for the currently loaded media on current selected drive. It is aware of the differences in DVD-R/RW & DVD+RW and uses the correct command to fetch the data. Only the data that contains the actual media code is displayed the rest of the sector is discarded.

Read a block from media

This command allows you to read sequential 2048 byte sectors from a starting sector from the current media in the current drive. After selecting this command a dialog like the one below will slide out and prompt you for a LBA (Logical Block Address) of the block you wish to fetch. This small dialog is attached to the side of the main window and will move with it if the main dialog is dragged.

The dialog defaults to Hexadecimal. The LBA can be entered in Decimal by selecting the ‘Decimal’ check box.

The decimal and hex check boxes can also be used to convert between the two. If an LBA is currently in the edit box when then opposite one is selected then it will be converted into the current format.

Click READ when you have made your selection, and the block will be read from the media and displayed. The LBA box will be automatically incremented to the next block. Clicking READ again will display it, and so on. When you are finished choose CLOSE and the dialog box will slide back in.

This dialog box is “Modeless”. This means that it does not prevent you from using other buttons and features of DVDInfo Pro while it is open. This was done mainly so you can use the scroll bar on the main window to view the entire block of data, however you can use other commands and come back to this dialog if you wish.

Show Drive Features & Profiles

This command will show the feature and profile numbers that the drive reports to support. Each of these will have a very brief description taken straight from MMC4 documentation.

Show Drive Supported Mode Pages

This command will show the supported mode pages of the drive. It will display each mode page’s hexadecimal page code number. It will also show if each mode page is saveable or not.

MMC COMMANDS

Send INQUIRY Command

This command sends a standard nquiry command to the current device and displays the returned buffer. This command is safe for all devices. An understanding of mmc or scsi is required for you to understand the contents of the returned display buffer.

Send Custom Command

See the Send Custom Command page.

READ DVD STRUCT COMMANDS

For information on these commands please see a copy of the MMC specification or the Mt Fuji specification. These are easy to find using a Google search.

When you choose one of the commands under this heading (listed below) a dialog option box will open.

This allows advanced users to enter some special parameters for each command. These will default to usual values. If you do not understand them then just choose OK.

Note: Not all drives support every command. You will probably find that most commands will return a sense error.

Code 00h - Physical Format Information - Mainly used to fetch media code information for DVD+R/RW media.

Code 01h - DVD Copyright Information - Contains information such as copyright type and region codes.

Code 02h - Disc Key - Returns the Disc Key obfuscated by using a Bus Key

Code 03h – BCA - Returns the BCA information on the current media.

Code 04h - Disc Manufacturing Information - Returns the Disc Manufacturing information from the DVD Lead-in area

Code 05h - Copyright Management Information - Returns Copyright management information from specified sector

Code 06h - Media ID - Returns the media identifier

Code 07h - Media Key Block - Returns the Media KEY BLOCK protected by a bus key

Code 08h - DVD-RAM Disc Definition Structure (DDS) - Returns DDS information on DVD-RAM media

Code 09h - DVD-RAM Medium Status Information - Returns the medium status information on DVD-RAM

Code 0Ah - DVD-RAM Spare Area Information - Returns the spare area information on DVD-RAM media

Code 0Bh – Reserved - Reserved

Code 0Ch - RMD In The Last Border-Out - Returns the Field of RMD in the last border out

Code 0Dh - Recording Management Area Data - Returns the RMD sectors recorded in RMA

Code 0Eh - Pre-Recorded Information in Lead-In - Mainly used to fetch media code information for DVD-R/RW media.

Code 0Fh - Unique Disc Identifier - Returns the unique disc identifier of the media

Code 30h - Disc Control Blocks - Returns the disc control block identified by the content descriptor

Code C0h - Write Protection Status - Returns Write Protection Status and MSWI Status

Code FFh - DVD Structure List - Returns a list of DVD Structures present in the specified Layer


DVDInfo Send Custom Command

Send Custom Command

PLEASE NOTE

This function is very powerful and has the remote ability to damage your media, your drive or both if incorrect commands are sent with it. It is for experienced and advanced users only.

No responsibility will be accepted by the author for the correct, incorrect, or mis-use of this function. Use of this function demands a thorough understanding of MMC specification and programming of SPTI / ASPI interfaces.

The author makes no gurantees of the accuracy of this function and all use is at your own risk. If restrictions such as this are illegal in locality then all rights and licences to use this program are hereby revoked and you are not permitted to use this program whatsoever. You must forthwith delete any and all copies of the program.

The Warning Dialog

When this function is chosen and warning dialog similar to the one below will be displayed. Read it, and when you are ready choose OK. If you do not wish to continue, immdiately after choosing 'OK' Choose ' Close' and the dialog will disappear.

Do not show this warning again

This check box will prevent this warning box from appearing in the future.

The Dialog

After the warning dialog has gone, the dialog will slide out from the right hand side of the main window. It is attached to the main window and will move with it if the main window is moved.

Close

This button closes the dialog. It will slide back in and be hidden.

Send

This command after prompting you if you are sure, will send the command to the drive. The result will be a HEX/ASCII display of data or a Sense Error box, depending on the command and current state of the device.

Example

This button shows an example of a valid command. It fills in all the fields for a INQUIRY command which is safe for all devices.

Help

This button opens this help page.

Clear CDB

This button clears the CDB edit boxes

Set Defaults

This button returns all options to default values and clears the pre-load buffer

Clear Buffer

This button clears the pre-load buffer. (see Pre-load buffer)

Pre-load buffer

Some MMC commands require the buffer to be pre-loaded with data. This button will prompt for a binary file to pre-load into the buffer. Its contents will be immediately displayed in the hex window. This buffer is then used and passed to the MMC command when "Send" is clicked.

Command Parameters

It is recommended that you set these values first, especially the CDB Size field. Setting the CDB Size field will automatically clear and disable all unused fields of the CDB Structure as a safeguard that you have set the CDB Size field correctly.

CDB Size (decimal)

This value is critical and can have a range from 1 to 12. The value must be entered in decimal. The value is specific and unique to each MMC command, and some interfaces especially SCSI behave very erratically if this value is incorrect. Remember that the CDB structure is a zero offset, so if the highest value specified in the command is byte 8, then the CDB Size will need a value of 9 ( 0 – 8) to enable all the correct fields.

Buffer Size (decimal)

This value can have a range from 0 to 2048, any illegal values will be replaced with 2048. It sets the size of the buffer or ‘Allocation Length’ the command provides the drive with to return data.

READ / WRITE

These two checkboxes are mutually exclusive and set the direction for the command as a read or write command.

CDB Structure

NOTE: These 12 fields are expected to be in HEXADECIMAL, DO NOT USE ANY PREFIX OF POSTFIX. EG:

FF = CORRECT

0xFF = WRONG

FFh = WRONG

These fields are twelve CDB fields that contain all information to send to the drive. Each one corresponds exactly to the ‘Command Descriptor Block’ bytes as described in MMC for each command. Depending on the value in the ‘CDB Size’ field, some of these fields will be disabled and unavailable to make sure the fields you send and the CDB size sent to the drive are correct.

Prompt before Send

This is a safeguard and defaults to enabled. If enabled when you click SEND you will be prompted with a dialog that asks if you are sure you want to send the command. If you disable this, you will not be asked and this will be remembered. The next time you open the dialog this setting will retain its last state.

PRESET COMMANDS

A complete description of each preset command is beyond the scope of this documentation, please see the latest MMC spec for more detail.

Choosing any of these commands does not send the command, it just fills in the CDB structure and all other parameters above for that particular command ready to be sent. Items are grouped into commands and sub-commands, and each command is under a heading.


DVDInfo - The Settings Dialog

The Settings Dialog

Customisation:

Choose digital display colour

A drop down list of choices. This setting is used to change the colours of the digital status display. This setting will be used immediately when the OK button is chosen on the status display.

Text Colour

This opens a colour picker dialog and prompts for a new colour for the HEX/ASCII display data.

Default Text

This sets the HEX/ASCII display data text back to the default colour.

Back Colour

This opens a colour picker dialog and prompts for a new colour for the HEX/ASCII display data background.

Default Back

This sets the HEX/ASCII display data background to the default colour.

Load Buttons

This opens a file requester prompting for a new button template BMP (To make your own see the supplied template bmp)

Default Buttons

This sets the buttons back to the internal template graphics.

Load Banner

This opens a file requester prompting for a new banner graphic for the top of the main window. This banner must be 629 x 67 or smaller. If it is smaller then it will be tiled in the banner area.

Default Banner

This sets the main window top banner back to the internal default graphic.

Speed Line Color

This drop down list allows you to choose the color of the plotted line on the graph for the speed.

Graph & Marker Colors

This drop down list allows you to choose color pairs for the Graph and the vertical markers. The first color is the graph color and the second color is used for the marking of the end of the disc and the layer change for dual layer discs.

Interface:

These options are only for Windows NT4.0, Windows 2000, Windows XP and later.

ASPI

This selects the Advanced SCSI Programming (ASPI) interface will be used to communicate with devices. ASPI V4.60 and V4.7.1.2 and later are supported. External drives such as those connected by USB2 or Firewire will not work with ASPI unless you use NERO ASPI. See "USE NERO ASPI" setting below.

SPTI

This selects the SCSI Pass Through Interface (SPTI) will be used to communicate with the devices. This interface is only supported on Windows NT4.0 and later. Windows 95, 98 and ME are forced to use the ASPI interface. NOTE: ADMINISTRATOR ACCESS IS REQUIRED FOR THIS INTERFACE TO WORK.

Show DVD only

This setting will cause any CD-ROM drives found to be ignored when building the device list.

Use Nero ASPI

This setting will open a directory request dialog and prompt you for the directory where the NERO.EXE file is. DVDInfo will use the "WNASPI.DLL" for aspi use rather than the windows or Adaptec version. The advantage in doing this is that external drives such as USB2 and Firewire devices work with the Nero version where they do not with the Adaptec or Windows version.

Other Options:

Start Minimized:

When the program is launched the main window will be hidden and an icon will appear in the status bar area. Right clicking on the status area icon opens a menu where some choices can be made. Right clicking also brings the dialog to the front.

Always On Top

This setting will cause the display window to always remain the top most window.

Remember Device

This setting defaults to on. It will remember the device last used when the program exited. This same device will be selected next time you launch.

Allow logging

Causes the program to log program operation, errors etc to a file in the dvdinfo directory called “dvdinfo.log”. this is a text file and you can send this file to me along with your bug report to assist me in finding bugs. It will be expanded upon in future versions. If the file already exists it renames the older file to “olddvdinfo.log” and any old files that already exist are lost. This function defaults to off it can be enabled here.

Notify of Updates.

This setting defaults to off. When set to on, & DVDInfo is launched, if it finds an internet connection, it will check if an update is available and notify you if there is one, and the version number of this update.

Minimize to Status Area.

This setting defaults to on. It works in conjunction with the above setting “Show Taskbar”. If “Show Taskbar” is not selected then this setting will be unavailable and forced to on. If “Show Taskbar” is selected then this setting is available and offers you a choice. If selected (ticked) when the minimize button is clicked the programs dialog window will be minimized to the status area and the taskbar window will be removed. If this setting is un-selected (un-ticked) when the minimize button is clicked the programs dialog window will be minimized to the task bar, the status area icon will still be available.

JPG Save Quality:

This is a slider control that sets the quality of the JPG file for the Snapshot function that saves a copy of the window to a jpg file. This defaults to a value of 50. The settings are a range between 0 & 100, where 0 is lowest quality and 100 is highest quality. The setting is a compromise between quality and size. One the type of graphical interface DVDInfo Pro has you can choose a very low quality setting and still achieve a reasonable quality picture, which allows the file size to be quite small.

Experiment and choose your favourite setting and this will be saved and used automatically by the snapshot function.

This setting has no effect on the quality of the snapshot that is copied to the clipboard with the clipboard function.

OK

This button saves all settings and closes the dialog.

CANCEL

This button disregards all changes and closes the dialog.

HELP

This button opens a help page for the program.


DVDInfo - Donations or Purchase Details

Donations or Purchase Details

Creating of software does not happen free of charge. I rely on donations for my freeware programs and purchase of my shareware programs to bring you software such as this. New version of Visual C++ cost a fortune and this has to be funded from somewhere.

Single users can make donations via RegSoft.com . This allows you to donate on-line, via a SECURE SERVER with a credit card, or via Voice, Fax, or Postal Mail. Due to costs involved in providing this, the minimum donation is $10.00US. If you wish to donate more, simply pay for multiple quantities. Donations help me to continue writing these freeware type applications.

Businesses and Companies can donate in the same way above or can help me in other ways by providing software, hardware, sponsorship. In return advertising can be provided within my applications and on my web site which enjoys thousands of visitors each week, and tens of thousands of downloads each month.

To donate click one of the links below.
Donate via secure server

If you are having difficulty accessing the secure server you can access non-secure here:

Donate via standard server

To purchase the ad free version click one of the links below.
Purchase via secure server

If you are having difficulty accessing the secure server you can access non-secure here:

Purchase via standard server

If you wish to contact me, you can do so here Email me


Untitled Document

Freeware automated internet access

DVDInfo Pro will check for an internet connection when it is launched for specific reasons. No information is sent from your computer at any time. Access to the internet is solely for determining if a newer version of the program is available or if a advertisement is available.

Program Updates
This is done without sending any information from your computer. A text file containing a version number is downloaded from a server and compared with the internal version of the program. If a newer version is available you are notified of this. This update check can be disabled in the program settings.

Advertisements
DVDInfo Pro contains the ability to periodically download advertisement text and a url to display. This is done without sending any information from your computer. Whenever DVDInfo Pro is launched it checks for an internet connection and advertising content on the server and if available this is downloaded and displayed.

If no internet connection is available the program will quietly check every ten minutes.

This functionality cannot be disabled as it is a requirement of my freeware licence to use the freeware version of DVDInfo Pro. DVDInfo pro is funded by advertisements and sponsors. Advert free version of DVDInfo Pro can be purchased by contacting me at the email address below.

Advertisers & Sponsors
If you are a potential sponsor or would like to use the advertisment facility in DVDInfo Pro, please contact me on the email address below.

Nic Wilson


Privacy Statement

Privacy

Scope

This statement applies to all users who access my web site, http://www.nicsoft.com.au or use my programs.

General

The nicsoft.com.au web site makes no use of any data that directly or indirectly identifies users. I take great care with practices that affect personal privacy. I do not collect or record data from my web site or programs that directly identifies users.

Data Collection

Data that indirectly identifies users is gathered during interactions with the nicsoft.com.au Web Site in the following circumstances:

§Computer Information
It is necessary that your web browser provides your machine's network address, so the web server can address its replies back to the correct machine. Browser type and operating system information are not recorded.

§Navigation and Click-Stream Data
Browsing any web site generates a trail of pages visited, the amount of data transferred and the time of access. This information is recorded against the network address supplied by your web browser.

§Electronic Mail
It is a necessary part of electronic mail that a sender and receiver address is supplied. These are recorded as well as a message identifier, amount of data and the time. The address you supply as sender is only a pseudonym and may possibly bear no relation to your real name, so is not considered as directly identifying you.

Data Storage, Retention, Use and Disclosure

The data referred to above is generated by the systems you are accessing, and stored in system logs. These logs are preserved and archived for possible future use.

The data is used by nicsoft.com.au Web Site software, and by our support staff, only for

§web site and systems administration, including monitoring as a security measure

§customisation of the web site to meet your needs

§evaluation, research and development.

The data collected will not be disclosed to a third party except where it is legally required, such as in the investigation of a criminal offence, and in compliance with a search warrant or subpoena.

Cookies

A cookie is a very small text file placed onto your computer when you visit a Web site. A cookie can be 'persistent' (meaning that it is written to a permanent file on your hard disk) or 'session-only' (in which case the cookie is deleted at the end of your browsing session).

nicsoft.com.au does not use nor create cookies.

Links to other sites

This site contains links to other sites. I am not responsible for the privacy practice or the content of such web sites.

Comments may also be submitted via email to:

nicw@bigpond.net.au


DVDInfo - Suggestions and Discussion Forums

Suggestions and Discussion Forums

If you wish to offer suggestions or discuss topics on DVDInfopro then why not visit one or more of the forums below

WWW-DVDRRW.ORG Our own DVDInfoPro Forum. Supporting all DVD Formats. Visit NOW.

CDRInfo The new official home of DVDInfoPro all version.

Other forums

The Firmware Page A great resource of firmwares and information on your drive and general DVD Discussion.

DVDRHelp A fantastic resource for VCD, SVCD and DVD capturing, converting, editing, authoring and playing etc.

DVD-Recordable The Ultimate Resource for DVD Writing, Help and Advice

DVDPlusRW.org A good resource for single format DVD+RW owners. Not really suitable for other formats